This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 707688 - Backlight is off during installation and boot
Backlight is off during installation and boot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-25 13:28 EDT by Renich Bon Ciric
Modified: 2013-10-08 13:49 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 13:49:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Renich Bon Ciric 2011-05-25 13:28:13 EDT
Description of problem:
Using the Fedora x86_64 DVD installation, backlight turns off on the HP dm4 1160us during installation and boot

Version-Release number of selected component (if applicable):
Fedora 15 release default version on DVD and LiveCD

How reproducible:
Get an HP dm4 1160us laptop and try installing Fedora 15 with a DVD or LiveCD. 

  
Actual results:
No backlight during installation and boot processes.


Expected results:
backlight should be on


Additional info:
This model features the intel cpu+gpu i5 processor... maybe we need to insert a module or something?

And, I don't own a laptop of the model before mentioned. I just helped a friend with it.
Comment 1 Maxime Mouchet 2012-05-05 08:51:57 EDT
I have the same problem but I've found a workaround :
echo 10 > /sys/class/backlight/acpi_video0/brightness
allow to increase the brightness from the terminal, and it also works during the setup.

Another problem is that brigtness control keys (fn-f2 and fn-f3) doesn't works. dmesg says :
atkbd serio0: Use 'setkeycodes e02b <keycode>' to make it known.
Comment 2 peter.ducai 2012-05-30 06:26:47 EDT
same problem with HP Pavilion g6 (i5, radeon hd 6400 seymour) but pressing TAB at bootmenu and adding 'nomodeset' turn ON backlight and installer work fine...
Comment 3 Josh Boyer 2012-06-06 09:03:26 EDT
We can't fix any install media after release, but it would be good to know if F17 installs suffer from this problem so we can fix it for F18.
Comment 4 peter.ducai 2012-06-06 09:09:18 EDT
missing info is my bad... in my case it was on F17 (obviously other distros have similar problem with my sandy-bridge/ATI combo) but i still didnt try that with 3.4 kernel (which should be ok as there are new intel/ati drivers).
Comment 5 jnsr 2012-08-17 17:12:08 EDT
(In reply to comment #3)
> We can't fix any install media after release, but it would be good to know
> if F17 installs suffer from this problem so we can fix it for F18.

same problem with f17 and again 'nomodeset' works fine
Comment 6 Fedora End Of Life 2013-04-03 11:36:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Justin M. Forbes 2013-04-05 15:47:23 EDT
Is this still an issue with the 3.9 kernels in F19?
Comment 8 javiermon 2013-04-05 16:15:33 EDT
Hi

It's still happening to me. I'm using fedora 19 x86_64 in a hp spectre xt. I have to add kernel parameter acpi_backlight=vendor to workaround it.

thanks,
Comment 9 Josh Boyer 2013-09-18 16:40:34 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 10 Josh Boyer 2013-10-08 13:49:36 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.